--- old/usr/src/uts/i86pc/os/pci_bios.c	Mon Mar 27 00:11:48 2017
+++ new/usr/src/uts/i86pc/os/pci_bios.c	Mon Mar 27 00:11:48 2017
@@ -32,6 +32,7 @@
 #include <sys/memlist.h>
 #include <sys/bootconf.h>
 #include <sys/psw.h>
+#include <sys/machsystm.h>
 
 /*
  * pci irq routing information table
@@ -77,6 +78,13 @@
 		*nneededp = 0;
 
 	/*
+	 * If this system does not support BIOS calls, we can't use this
+	 * mechanism.
+	 */
+	if (!bios_calls_available)
+		return (0);
+
+	/*
 	 * Set up irq routing header with the size and address
 	 * of some useable low-memory data addresses.  Initalize
 	 * data area to zero, avoiding memcpy/bzero.
